<!doctype html>

<!-- Document written in English -->
<html lang="en" data-theme="default" data-font-size="default" data-font-family="default" data-underline-links="default">

<head>

    <!--  Document encoded in UTF-8  -->
    <meta charset="UTF-8">

    <!-- Ensure proper rendering on different devices -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--  Pragma directive to ensure Edge is used when rendering in IE  -->
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- Normalize across various browsers using the popular normalize.css -->
    <link href="stylesheets/normalize.css" rel="stylesheet">

    <!-- Load main style sheet  -->
    <link href="stylesheets/main.css" rel="stylesheet">

    <!--  Show current page name -  pipe - website name in browser title  -->
    <title>Contact | Lions Home for Aging Blind</title>
    <link rel="icon" href="assets/images/header/favicon.ico" type="image/x-icon">

    <!-- Meta tags for search engines -->
    <meta name="author" content="Kshitij Gupta">
    <meta name="description" content="The NAB Lions Home for Aging Blind provides it's residents
           with a free shelter, occupational therapy, medical support
           and essential needs.">
    <meta name="keywords" content="NAB, lions, home, visual, impairment, aging, blind">

    <!-- Load external libraries -->
    <script src="scripts/libs/handlebars.min-v4.7.8.js"></script>
    <script src="scripts/libs/jquery-3.7.1.min.js"></script>
    <script src="scripts/libs/anime.min.js"></script>

    <!-- Using the social media icons from solid+brands (free) part of font awesome -->
    <script defer src="scripts/libs/fontawesome/brands.js"></script>
    <script defer src="scripts/libs/fontawesome/solid.js"></script>
    <script defer src="scripts/libs/fontawesome/fontawesome.js"></script>

</head>

<body>

    <!-- The header is populated using a handlebars.js script + template
     This way  we can easily update the header across all pages by updating the template.
     Note that the header includes the primary nav and other sticky DOM elements.
     Please see the header template for more details.
    -->
    <header id="header" class="header-container"></header>

    <!-- The page banner is an aside with a full viewport image background with an overlay -->
    <aside class="banner fill-viewport" aria-label="Banner">
        <img src="assets/images/contact/banner.jpg"
            alt="A resident making baskets as part of an occupational therapy session">
        <!--  The overlay has a semi-transparent background to ensure the text is readable   -->
        <div class="h1-overlay">
            <h1>Get In Touch</h1>
        </div>
    </aside>

    <!-- The main content of the page is divided into articles containing:
        - a form to send a message
        - contact information
        - frequently asked questions
    -->
    <main>

        <!-- The form to send a message is contained in an article -->
        <article id="sendMessage" class="article-dark" aria-label="Send a Message">
            <h2>Send us a message</h2>

            <!-- The form is wrapped in a div to enable responsiveness -->
            <div class="form-container form-container-wide">

                <!-- The form sends a GET request to the current URL -->
                <form method="GET" class="form" aria-label="Contact Form">

                    <!-- Name -->
                    <label for="name-input">Name *</label> <input id="name-input" type="text" name="name"
                        placeholder="your name..." required aria-label="Your name">

                    <!-- Email field with type=email ensuring that on mobile devices the keypad switches appropriately -->
                    <label for="email-input">Email address *</label> <input id="email-input" type="email" name="email"
                        placeholder="your email..." required aria-label="Your email address">

                    <!-- Phone field with Indian phone number constraints -->
                    <label for="phone-input">Phone </label> <input id="phone-input" type="tel" name="phone"
                        placeholder="0123456789" minlength="7" maxlength="10" aria-label="Your phone number">

                    <!-- Group for Reason of contact -->
                    <div id="reason-label" class="group">Reason of your contact request
                    </div>
                    <div role="radiogroup">

                        <!-- Each reason is wrapped in a div for styling purposes -->
                        <!-- First reason -->
                        <div>
                            <input aria-label="I would like to volunteer" type="radio" name="reason" id="reason-volunteer" value="website-request">
                            <label for="reason-volunteer">I would like to <strong>volunteer</strong>. </label>
                        </div> <!-- End of reason div -->

                        <!-- Second reason -->
                        <div>
                            <input aria-label="I would like to visit" type="radio" name="reason" id="reason-visit" value="app-request">
                            <label for="reason-visit">I would like to <strong>visit</strong>. </label>
                        </div> <!-- End of reason div -->

                        <!-- Third reason -->
                        <div>
                            <input aria-label="I would like to reside" type="radio" name="reason" id="reason-reside" value="ux-request">
                            <label for="reason-reside">I would like to <strong>reside</strong> at the NAB Lions Home.
                            </label>
                        </div> <!-- End of reason div -->

                        <!-- Fourth reason -->
                        <div>
                            <input aria-label="Other" type="radio" name="reason" id="reason-something-else" value="random-request" checked>
                            <label for="reason-something-else">Other.
                            </label>
                        </div> <!-- End of reason div -->
                    </div> <!-- End of reason group -->

                    <!-- Message -->
                    <label for="message-input">Your message</label> <textarea aria-label="Your message" id="message-input" name="message" rows="5"
                        placeholder="Enter your message here…"></textarea>

                    <!-- Checkbox for newsletter subscription -->
                    <div class="checkbox">
                        <input aria-label="newsletter sign up" type="checkbox" id="newsletter-checkbox" name="newsletter"
                            value="newsletter-subscription">
                        <label for="newsletter-checkbox">Yes, I want to receive your regular newsletter!</label>
                    </div>

                    <!-- Submit button -->
                    <input type="submit" value="Send" aria-label="Send message">

                </form>
            </div> <!-- End of form container -->

        </article> <!-- End of send message article -->

        <!-- Contact information article
         It is styled with a contrast background to make it stand out from the form.
         -->
    <article id="reachUs" class="article-light">
            <h2>Reach Us</h2>

            <!-- The contact information is wrapped in a div to aid responsive styling -->
        <div class="content-auto">

                <!-- Opening hours are displayed in a table.
                  As the residence has a lunch break, the opening hours are split into two rows.
                  This was a specific request from the client.
                -->
            <div class="opening-hours">
                    <table>
                        <tr>
                            <th>Day</th>
                            <th>Opening Hours</th>
                        </tr>
                        <tr>
                            <td>Monday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                        <tr>
                            <td>Tuesday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                        <tr>
                            <td>Wednesday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                        <tr>
                            <td>Thursday</td>
                            <td>Closed</td>
                        </tr>
                        <tr>
                            <td>Friday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                        <tr>
                            <td>Saturday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                        <tr>
                            <td>Sunday</td>
                            <td>8:30 - 13:00 <br> 14:00 - 17:00</td>
                        </tr>
                    </table>
                </div> <!-- End of opening hours -->

                <!-- The contact info container has a section each for:
                    - address
                    - email
                    - phone
                    - parking
                 The container is responsive. On mobile, the sections are stacked.
                -->
            <div class="contact-info">

                    <!-- Address is a semantic element for SEO -->
                <section class="address">
                        <h4>Address</h4>
                        <address>
                            Sudder Baug<br> Old Khandala Rd.<br> Khandala, 410302<br> India
                        </address>
                    </section>

                    <!-- Email has a mailto connection to ensure that clicking on it opens the mail client -->
                <section class="email">
                        <h4>Email</h4>
                        <a href="mailto:nablionshome@gmail.com">NABLionsHome@gmail.com</a>
                    </section>

                    <!-- Phone has a tel connection to ensure that clicking on it opens the phone app -->
                <section class="phone">
                        <h4>Phone</h4>
                        <ul>
                            <li><a href="tel:+912114273066">+912114273066</a></li>
                            <li><a href="tel:+912114278056">+912114278056</a></li>
                        </ul>
                    </section>

                    <!-- Parking information -->
                <section class="parking">
                        <h4>Parking</h4>
                        <p>Individual visitors may park in the visitors car park. <br>For large bus tours, please
                            contact
                            us.</p>
                    </section>
                </div> <!-- End of contact info -->

                <!-- The below map HTML embed code was imported directly from Google Maps share
                 The map is responsive and will adjust to the container size.
                 NOTE: The width and height are NOT css styles but the iframe's attributes
                 indicating the map's aspect ratio.
                -->
                <div>
                    <iframe
                        src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3777.9406698591665!2d73.38311327608432!3d18.756186982383642!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3be8012453b23fef%3A0xb446d68de066011!2sNAB%20LIONS%20HOME%20FOR%20AGING%20BLIND!5e0!3m2!1sen!2sde!4v1708373279036!5m2!1sen!2sde"
                        width="600" height="450" allowfullscreen=""
                        referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div> <!-- End of map div -->

            </div> <!-- End of contact content-auto -->
        </article> <!-- End of contact information article -->

        <!-- Frequently Asked Questions article
         The answers are laid out as expandable divs, with the questions themselves as buttons.
         This way, the user can easily find the answer to their question without scrolling through the entire page.
         This structure is uniform for all questions.
        -->
    <article id="faq" class="article-dark">

            <h2>FAQs</h2>

            <!-- The collapsible content is wrapped in a div to enable responsiveness -->
        <div class="content-column">

                <!-- First question -->
            <button aria-label="Frequently asked question about eligibility to join" class="collapsible">Are there any eligibility criteria for admission to NAB Lions Home?</button>

                <!-- Answer wrapped in div to enable collapsible functionality -->
                <div class="collapsible-content">
                    <p>Admission to our residence is offered at no charge and without any preference based on caste,
                        creed,
                        gender, race, nationality or religion. However, please note that our facility is prepared for
                        the
                        aging and elderly.</p>
                </div>

                <!-- Second question -->
            <button aria-label="Frequently asked question about corporate support" class="collapsible">How can my company or organization help?</button>
                <div class="collapsible-content">
                    <p>Thank you for wanting to help The NAB Lions Home. We are open to institutional and corporate
                        donations through the government of India's
                        <a target="_blank" href="https://www.csr.gov.in/content/csr/global/master/home/home.html">CSR</a> initiative.
                        Please
                        contact us through our contact form regarding such donation.
                    </p>
                </div> <!-- End of collapsible content -->

                <!-- Third question -->
            <button aria-label="Frequently asked question about foreign donations" class="collapsible">Do you accept donations from overseas?</button>
                <div class="collapsible-content">
                    <p>Unfortunately we do not quality under the Foreign Contribution (Regulation) Act, 2010 (FCRA).
                        Hence,
                        we cannot accept foreign donations at the current time.</p>
                </div> <!-- End of collapsible content -->

                <!-- Fourth question -->
            <button aria-label="Frequently asked question about volunteering" class="collapsible">Can I volunteer at the NAB Lions Home for Aging Blind?</button>
                <div class="collapsible-content">
                    <p>Absolutely! We welcome volunteers. Please contact us using the form, indicating your availability
                        and
                        interest.</p>
                </div> <!-- End of collapsible content -->

                <!-- Fifth question -->
            <button aria-label="Frequently asked question about tax benefits of donating" class="collapsible">What tax benefits are available for donations made?</button>
                <div class="collapsible-content">
                    <p>Donations are entitled to applicable Income Tax Concession under Section 80G. For more details
                        please
                        contact us.</p>
                </div> <!-- End of collapsible content -->

            </div> <!-- End of content column -->

        </article> <!-- End of FAQ article -->
    </main>

    <!-- The footer is populated using a handlebars.js script + template.
     This way  we can easily update the footer across all pages by updating the template.
     Note that the footer includes the sitemap, social media links and copyright.
     Please see the footer template for more details.
    -->
    <footer id="footer"></footer>

    <!-- Load scripts -->
    <!-- Defer to ensure script is run after document has been parsed (but DOM load is checked inside of the script) -->
    <script defer src="./scripts/main.js"></script>
</body>

</html>